Name:		perl-NetAddr-IP
Version: 	4.058
Release:	3.1
License: 	GPL
Group: 		Development/Libraries/Perl
Summary: 	Perl module NetAddr::IP
URL: 		http://search.cpan.org/~miker
Source0: 	NetAddr-IP-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	glibc-devel libgcc gcc gcc-c++ perl

%if 0%{?fedora_version} >= 7
BuildRequires: perl-ExtUtils-MakeMaker
%endif

%description
Manages IPv4 and IPv6 addresses and subnets  

%prep
%setup -q -n NetAddr-IP-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%__make DESTDIR=%{buildroot} install

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
                %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist


%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*


%files
%defattr(-,root,root)
%doc Changes
%dir %{perl_vendorarch}/NetAddr
%dir %{perl_vendorarch}/NetAddr/IP
%dir %{perl_vendorarch}/auto/NetAddr
%dir %{perl_vendorarch}/auto/NetAddr/IP
%dir %{perl_vendorarch}/auto/NetAddr/IP/Util
%dir %{perl_vendorarch}/auto/NetAddr/IP/UtilPP
%dir %{perl_vendorarch}/auto/NetAddr/IP/InetBase
%{perl_vendorarch}/NetAddr/IP.pm
%{perl_vendorarch}/NetAddr/IP/Lite.pm
%{perl_vendorarch}/NetAddr/IP/Util.pm
%{perl_vendorarch}/NetAddr/IP/UtilPP.pm
%{perl_vendorarch}/NetAddr/IP/Util_IS.pm
%{perl_vendorarch}/auto/NetAddr/IP/Util/Util.bs
%{perl_vendorarch}/auto/NetAddr/IP/Util/Util.so
%{perl_vendorarch}/auto/NetAddr/IP/Util/autosplit.ix
%{perl_vendorarch}/auto/NetAddr/IP/UtilPP/_128x10.al
%{perl_vendorarch}/auto/NetAddr/IP/UtilPP/_128x2.al
%{perl_vendorarch}/auto/NetAddr/IP/UtilPP/_bcd2bin.al
%{perl_vendorarch}/auto/NetAddr/IP/UtilPP/_bcdcheck.al
%{perl_vendorarch}/auto/NetAddr/IP/UtilPP/_bin2bcdn.al
%{perl_vendorarch}/auto/NetAddr/IP/UtilPP/_deadlen.al
%{perl_vendorarch}/auto/NetAddr/IP/UtilPP/_sa128.al
%{perl_vendorarch}/auto/NetAddr/IP/UtilPP/add128.al
%{perl_vendorarch}/auto/NetAddr/IP/UtilPP/addconst.al
%{perl_vendorarch}/auto/NetAddr/IP/UtilPP/autosplit.ix
%{perl_vendorarch}/auto/NetAddr/IP/UtilPP/bcd2bin.al
%{perl_vendorarch}/auto/NetAddr/IP/UtilPP/bcdn2bin.al
%{perl_vendorarch}/auto/NetAddr/IP/UtilPP/bcdn2txt.al
%{perl_vendorarch}/auto/NetAddr/IP/UtilPP/bin2bcd.al
%{perl_vendorarch}/auto/NetAddr/IP/UtilPP/bin2bcdn.al
%{perl_vendorarch}/auto/NetAddr/IP/UtilPP/comp128.al
%{perl_vendorarch}/auto/NetAddr/IP/UtilPP/hasbits.al
%{perl_vendorarch}/auto/NetAddr/IP/UtilPP/ipanyto6.al
%{perl_vendorarch}/auto/NetAddr/IP/UtilPP/ipv4to6.al
%{perl_vendorarch}/auto/NetAddr/IP/UtilPP/ipv6to4.al
%{perl_vendorarch}/auto/NetAddr/IP/UtilPP/mask4to6.al
%{perl_vendorarch}/auto/NetAddr/IP/UtilPP/maskanyto6.al
%{perl_vendorarch}/auto/NetAddr/IP/UtilPP/notcontiguous.al
%{perl_vendorarch}/auto/NetAddr/IP/UtilPP/shiftleft.al
%{perl_vendorarch}/auto/NetAddr/IP/UtilPP/simple_pack.al
%{perl_vendorarch}/auto/NetAddr/IP/UtilPP/slowadd128.al
%{perl_vendorarch}/auto/NetAddr/IP/UtilPP/sub128.al
%{perl_vendorarch}/auto/NetAddr/IP/_compV6.al
%{perl_vendorarch}/auto/NetAddr/IP/_compact_v6.al
%{perl_vendorarch}/auto/NetAddr/IP/autosplit.ix
%{perl_vendorarch}/auto/NetAddr/IP/coalesce.al
%{perl_vendorarch}/auto/NetAddr/IP/compactref.al
%{perl_vendorarch}/auto/NetAddr/IP/do_prefix.al
%{perl_vendorarch}/auto/NetAddr/IP/hostenum.al
%{perl_vendorarch}/auto/NetAddr/IP/mod_version.al
%{perl_vendorarch}/auto/NetAddr/IP/nprefix.al
%{perl_vendorarch}/auto/NetAddr/IP/prefix.al
%{perl_vendorarch}/auto/NetAddr/IP/re.al
%{perl_vendorarch}/auto/NetAddr/IP/re6.al
%{perl_vendorarch}/auto/NetAddr/IP/short.al
%{perl_vendorarch}/auto/NetAddr/IP/wildcard.al
%{perl_vendorarch}/NetAddr/IP/InetBase.pm
%{perl_vendorarch}/auto/NetAddr/IP/InetBase/_inet_ntop.al
%{perl_vendorarch}/auto/NetAddr/IP/InetBase/_inet_pton.al
%{perl_vendorarch}/auto/NetAddr/IP/InetBase/_packzeros.al
%{perl_vendorarch}/auto/NetAddr/IP/InetBase/autosplit.ix
%{perl_vendorarch}/auto/NetAddr/IP/InetBase/inet_any2n.al
%{perl_vendorarch}/auto/NetAddr/IP/InetBase/inet_n2ad.al
%{perl_vendorarch}/auto/NetAddr/IP/InetBase/inet_n2dx.al
%{perl_vendorarch}/auto/NetAddr/IP/InetBase/inet_ntoa.al
%{perl_vendorarch}/auto/NetAddr/IP/InetBase/ipv6_aton.al
%{perl_vendorarch}/auto/NetAddr/IP/InetBase/ipv6_ntoa.al
%{perl_vendorarch}/auto/NetAddr/IP/_splitplan.al
%{perl_vendorarch}/auto/NetAddr/IP/_splitref.al
%{_mandir}/man3/NetAddr::IP.3pm*
%{_mandir}/man3/NetAddr::IP::Lite.3pm*
%{_mandir}/man3/NetAddr::IP::Util.3pm*
%{_mandir}/man3/NetAddr::IP::UtilPP.3pm*
%{_mandir}/man3/NetAddr::IP::InetBase.3pm*

%changelog
* Sat Mar  3 2012 cs@linux-administrator.com
- update to release 4.058
